Cemu - Bug #199

Donkey Kong Country: Tropical Freeze - "Funky's Fly 'n' Buy" stuck still happens
10/10/2019 12:06 PM - paulohenrique

Status: New Start date: 10/10/2019
Priority: Normal

Assignee:

Category: Compatibility

API: OpenGL GPU Vendor/Model:  GeForce GTX 1070
Cemu Version: 1.22.6¢

Description

The game still crashes every time | try to get on "Funky's Fly 'n' Buy". | would love to have a way around this without closing Cemu
and switching to interpreter mode. This is frustrating.

History

#1 - 10/10/2019 12:29 PM - paulohenrique
My PC specs

Windows 10 Pro x64

Intel Core i7-6700 @ 3.40GHz

CORSAIR VENGEANCE 16GB DDR4 2400Mhz

NVIDIA GeForce GTX 1070 G1 Gaming 8G

EVGA 750W 80 Plus Gold Semi Modular ECO Mode

Gigabyte GA-H110M-H, DDR4, LGA 1151, Micro ATX, Intel H110
Joystick Sony DualShock 4

#2 - 04/12/2020 02:01 AM - andersonOcardoos
- File unknown.png added

paulohenrique wrote:

The game still crashes every time | try to get on "Funky's Fly 'n' Buy". | would love to have a way around this without closing Cemu and switching
to interpreter mode. This is frustrating.

Hello there! a friend told me regard this bug today; | would say a best workaround at the moment is to use Cemu version:1.15.0.e, just tested today
and there is no such bug there at all and work properly. Try it out till they decide to fix this thing!

#3 - 05/21/2020 10:57 AM - nalor

Just tested it with different versions and | think the bug is always present.

Version 1.11: not working for most funky barns, but some are (the one in the 3rd and 4th world is working)
Version 1.14: not working in the first world, but it's working in the 4th world

Version 1.15: not working in the first world, but it's working in the 4th world

Version 1.19: working in the 4th world

Note that | didn't test every combination - in case it helps just tell and I'll provide more details.

About version 1.15 - there's also a youtube video available showing it's not working: https://www.youtube.com/watch?v=Uje2yEXFLis and below the
video there's a comment telling that this detail never worked correctly.

So | don't think there has ever been a version where it's working correctly.
As this is the only bug I'm aware when playing DKCTF it would be really great if it could be fixed sooner than later.
Thanks in advance!

#4 - 05/28/2020 09:48 PM - nalor

Now I know why it's working sometimes in 'recompiler' mode: it only works in case you're already in front of the funky barn when entering the game,
as soon as you move on the map it's not working any longer.

So the most performant way to enter a funky barn is to:

e move to the funky barn on the map
https://www.youtube.com/watch?v=Uje2yEXFLis

now quit cemu
start cemu again

enter the barn -> at least for me it's working repeatable this way.
It's not necessary to switch to interpreter mode this way!

#5 - 05/28/2020 09:50 PM - nalor
Sorry - should be "Funky's Fly 'n' Buy" and not "Funky barn"

#6 - 02/19/2021 11:09 AM - paulohenrique0349
After more than 1 year, the problem still persists.
Tested last time on version 1.22.6c¢.

#7 - 04/10/2021 04:41 PM - Serfrost
- Cemu Version changed from 1.15.15b to 1.22.6¢

return to the main title screen (in-game-exit) -> your position in front of the barn is saved

launch DKCTF again and load the game -> you're still directly in front of the funky barn
